{% extends "base.html" %}
{% load alarme_utils %}

{% block title %}Statistiques{% endblock %}

{% block content %}
    {% include "stats/stat-form.html" %}
    {% include "stats/tabs.html" with active="installations" %}

    <div class="row">
        <div class="col">
            <table class="table table-sm table-hover stat_table">
                <thead>
                    <tr><th></th>
                        {% for month in months %}<th class="text-end">{{ month }}</th>{% endfor %}
                        <th class="text-end">Total</th>
                    </tr>
                </thead>
                <tbody>
                    <tr><td colspan="{{ months|length|add:2 }}" class="app_line">
                        <p class="lead">Installations</p></td>
                    </tr>
                    <tr>
                        <td>{{ labels.0.label }}
                            <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                                 title="{{ labels.0.help }}">
                        </td>
                        {% for month in months %}
                            <td class="num">{{ stats.current|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num"></td>
                    </tr>
                    {% for key, modstats in stat_models.items %}
                    <tr class="stats-models">
                        <td class="ps-5">{{ key }}</td>
                        {% for month in months %}
                            <td class="num">{{ modstats|get_item:month|default_if_none:'-' }}</td>
                        {% endfor %}
                        <td class="num"></td>
                    </tr>
                    {% endfor %}

                    <tr class="stats-samas">
                        <td>{{ labels.1.label }}</td>
                        {% for month in months %}
                            <td class="num"><a href="{% url 'stats-list-samas' month.year month.month %}">{{ stats.samas|get_item:month|default_if_none:'-' }}</a></td>
                        {% endfor %}
                        <td class="num"></td>
                    </tr>
                    {% if stats.interv_sama %}
                    <tr>
                        <td>{{ labels.5.label }}</td>
                        {% for month in months %}
                            <td class="num">
                                <a href="{% url 'factures' %}?date_facture={{ month }}&article={{ art_sama }}">
                                    {{ stats.interv_sama|get_item:month|default_if_none:'-' }}
                                </a>
                            </td>
                        {% endfor %}
                        <td class="num">{{ stats.interv_sama|get_item:'total' }}</td>
                    </tr>
                    {% endif %}
                    <tr>
                        <td>{{ labels.2.label }}</td>
                        {% for month in months %}
                            {% with number=stats.new|get_item:month %}
                            <td class="num">{% if number %}<a href="{% url 'stats-list-installs' month.year month.month %}">{{ number }}</a>{% else %}-{% endif %}</td>
                            {% endwith %}
                        {% endfor %}
                        <td class="num">{{ stats.new|get_item:'total' }}</td>
                    </tr>
                    <tr>
                        <td>{{ labels.3.label }}</td>
                        {% for month in months %}
                            {% with number=stats.end|get_item:month %}
                            <td class="num">{% if number %}<a href="{% url 'stats-list-uninstalls' month.year month.month %}">{{ number }}</a>{% else %}-{% endif %}</td>
                            {% endwith %}
                        {% endfor %}
                        <td class="num">{{ stats.end|get_item:'total' }}</td>
                    </tr>
                    <tr>
                        <td>{{ labels.4.label }}</td>
                        {% for month in months %}
                            {% with number=stats.age|get_item:month %}
                            <td class="num">{{ number|floatformat:1 }}</td>
                            {% endwith %}
                        {% endfor %}
                        <td></td>
                    </tr>
                </tbody>
            </table>
            <div class="text-right">
                <a class="btn-icon" title="Exporter la statistique" href=".?{% param_replace %}&export=1">
                    <img class="icon-ui" src="{% static 'ficons/tsv.svg' %}">
                </a>
            </div>
        </div>
    </div>
{% endblock %}
